> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Daily organization traffic and cost statistics

GET https://iot.telia.lt/api/v1/organisation/{org_id}/stats/daily

Retrieves traffic and cost statistics for the selected organization and all child organizations, accumulated per day.

Historical data is available for up to **13 months**.

By default, this call returns statistics for the current month.

Reference: https://docs.iot.telia.lt/developers/api/organization/get-organisation-daily-stats

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `org_id` (integer, required) — Numerical ID of an organization

### Query parameters

- `start_date` (string, optional) — Filters results to data collected on or after this date. If `end_date` isn't specified, the response includes data through the end of the selected month.
- `end_date` (string, optional) — Filters results to data collected before this date. Must be used with `start_date`.

## Response

### 200

OK

- `list of ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItems

- `date` (string, optional) — Date in `YYYY-MM-DD` format or `TOTAL` to indicate the total volume and cost of the traffic type
- `data` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsData, optional)
- `sms` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSms, optional)

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsData

- `cost` (string, optional) — Total cost
- `currency_id` (string, optional)
- `currency` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsDataCurrency, optional)
- `traffic_type_id` (string, optional)
- `traffic_type` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsDataTrafficType, optional)
- `volume` (string, optional) — Total consumption (`volume_rx` + `volume_tx`)
- `volume_rx` (string, optional) — * For traffic type `5` (`Data`): Downloaded data * For traffic type `6` (`SMS`): SMS MT
- `volume_tx` (string, optional) — * For traffic type `5` (`Data`): Uploaded data * For traffic type `6` (`SMS`): SMS MO

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSms

- `cost` (string, optional) — Total cost
- `currency_id` (string, optional)
- `currency` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSmsCurrency, optional)
- `traffic_type_id` (string, optional)
- `traffic_type` (ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSmsTrafficType, optional)
- `volume` (string, optional) — Total consumption (`volume_rx` + `volume_tx`)
- `volume_rx` (string, optional) — * For traffic type `5` (`Data`): Downloaded data * For traffic type `6` (`SMS`): SMS MT
- `volume_tx` (string, optional) — * For traffic type `5` (`Data`): Uploaded data * For traffic type `6` (`SMS`): SMS MO

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsDataCurrency

- `code` (string, optional)
- `symbol` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsDataTrafficType

- `description` (string, optional)
- `unit` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSmsCurrency

- `code` (string, optional)
- `symbol` (string, optional)
- `id` (double, optional)

### ApiV1OrganisationOrgIdStatsDailyGetResponsesContentApplicationJsonSchemaItemsSmsTrafficType

- `description` (string, optional)
- `unit` (string, optional)
- `id` (double, optional)

## Examples

### Default - Current Month

**Response**

```json
[
  {
    "date": "2019-03-03T00:00:00.000Z",
    "data": {
      "cost": "1.890000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "5",
      "traffic_type": {
        "description": "Data",
        "unit": "MB",
        "id": 5
      },
      "volume": "10.745000",
      "volume_rx": "5.622000",
      "volume_tx": "5.123000"
    },
    "sms": {
      "cost": "0.250000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "6",
      "traffic_type": {
        "description": "SMS",
        "unit": "SMS",
        "id": 6
      },
      "volume": "6",
      "volume_rx": "4",
      "volume_tx": "2"
    }
  },
  {
    "date": "TOTAL",
    "data": {
      "cost": "3.570000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "5",
      "traffic_type": {
        "description": "Data",
        "unit": "MB",
        "id": 5
      },
      "volume": "23.517000",
      "volume_rx": "14.147000",
      "volume_tx": "9.370000"
    },
    "sms": {
      "cost": "2.000000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "6",
      "traffic_type": {
        "description": "SMS",
        "unit": "SMS",
        "id": 6
      },
      "volume": "42",
      "volume_rx": "22",
      "volume_tx": "20"
    }
  }
]
```

**SDK Code**

```python Default - Current Month
import requests

url = "https://iot.telia.lt/api/v1/organisation/123/stats/daily"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Default - Current Month
const url = 'https://iot.telia.lt/api/v1/organisation/123/stats/daily';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Default - Current Month
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/123/stats/daily"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Default - Current Month
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/123/stats/daily")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Default - Current Month
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/123/stats/daily")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Default - Current Month
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/123/stats/daily', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Default - Current Month
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/123/stats/daily");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Default - Current Month
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/123/stats/daily")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Start Date

**Response**

```json
[
  {
    "date": "2020-02-15T00:00:00.000Z",
    "data": {
      "cost": "2.500000",
      "volume": "15.500000",
      "volume_rx": "8.500000",
      "volume_tx": "7.000000"
    },
    "sms": {
      "cost": "0.500000",
      "volume": "10",
      "volume_rx": "5",
      "volume_tx": "5"
    }
  },
  {
    "date": "TOTAL",
    "data": {
      "cost": "5.000000",
      "volume": "30.000000",
      "volume_rx": "15.000000",
      "volume_tx": "15.000000"
    },
    "sms": {
      "cost": "1.000000",
      "volume": "20",
      "volume_rx": "10",
      "volume_tx": "10"
    }
  }
]
```

**SDK Code**

```python Filter by Start Date
import requests

url = "https://iot.telia.lt/api/v1/organisation/123/stats/daily"

querystring = {"start_date":"2020-02-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter by Start Date
const url = 'https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Start Date
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Start Date
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Filter by Start Date
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Filter by Start Date
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Start Date
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Start Date
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/123/stats/daily?start_date=2020-02-01")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Date Range

**Response**

```json
[
  {
    "date": "2020-02-15T00:00:00.000Z",
    "data": {
      "cost": "2.000000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "5",
      "traffic_type": {
        "description": "Data",
        "unit": "MB",
        "id": 5
      },
      "volume": "12.500000",
      "volume_rx": "6.500000",
      "volume_tx": "6.000000"
    },
    "sms": {
      "cost": "0.400000",
      "currency_id": "1",
      "currency": {
        "code": "EUR",
        "symbol": "€",
        "id": 1
      },
      "traffic_type_id": "6",
      "traffic_type": {
        "description": "SMS",
        "unit": "SMS",
        "id": 6
      },
      "volume": "8",
      "volume_rx": "4",
      "volume_tx": "4"
    }
  },
  {
    "date": "2020-02-01T00:00:00.000Z",
    "data": {
      "cost": "1.800000",
      "volume": "10.000000",
      "volume_rx": "5.000000",
      "volume_tx": "5.000000"
    },
    "sms": {
      "cost": "0.300000",
      "volume": "6",
      "volume_rx": "3",
      "volume_tx": "3"
    }
  },
  {
    "date": "TOTAL",
    "data": {
      "cost": "3.800000",
      "volume": "22.500000",
      "volume_rx": "11.500000",
      "volume_tx": "11.000000"
    },
    "sms": {
      "cost": "0.700000",
      "volume": "14",
      "volume_rx": "7",
      "volume_tx": "7"
    }
  }
]
```

**SDK Code**

```python Filter by Date Range
import requests

url = "https://iot.telia.lt/api/v1/organisation/123/stats/daily"

querystring = {"end_date":"2020-02-15","start_date":"2020-02-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter by Date Range
const url = 'https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Date Range
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Date Range
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Filter by Date Range
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Filter by Date Range
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Date Range
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Date Range
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/123/stats/daily?end_date=2020-02-15&start_date=2020-02-01")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```